using SqlSugar;
using System;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    [DataContract]
    [SugarTable("SX_Robot522")]
    public class WCS_Robot522 : IRobot522
    {
        [TimeDbSplitField(DateType.Day)]
        public DateTime Frame { get; set; }

        [SugarColumn(ColumnDataType = "symbol")]
        public string Code { get; set; }

        [DataMember(Order = 0)]
        public RobotAlarm Alarm { get; set; }
    }
}